<!--
'THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT 
'WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, 
'INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
'OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR 
'PURPOSE

'------------------------------------------------------------------------------
'
' NAME: Folder.asp
'
' FILE DESCRIPTION: Builds the folder renderer output
'
' Copyright (c) CdoLive 1999. All rights reserved.
'               Http://www.cdolive.com
'               Mailto:samples@cdolive.com
'
' Portions:
' Copyright (c) Microsoft Corporation 1993-1997. All rights reserved.
'
'------------------------------------------------------------------------------
-->
<!--#include file = "global.inc"-->
<!--#include file = "cdoprops.inc"-->
<!--#include file = "folder.inc"-->
<!--#include file = "logon.inc"-->
<%
	' Declare variables
	Dim objCDOAnonSession
	Dim objFolder
	Dim objRenderer

	' Initialize variables
	Set objCDOAnonSession = Nothing
	Set objFolder = Nothing
	Set objRenderer = Nothing

	' Check if anonymous MAPI session exists
	On Error Resume Next
	If CheckCDOAnonSession Then

		' Get MAPI session object
		Set objCDOAnonSession = Application("CDOAnonSession")
	Else

		' MAPI session does not exist, display error message
                Response.Write("Folder.asp: Cannot logon to system." & "<br>")

		' Exit application
		Response.End
	End If

	' Check if messages collection is empty
	If IsEmpty(Session("MessagesCollection")) Then

		' Get folder ID
		bstrFolderID = Request.QueryString("FolderID")

		' Check if folder ID is empty
		If Not bstrFolderID = "" Then
			If Not SetNews(bstrFolderID) Then

				' Display error message
                                ReportError("Folder.asp: Could not set session (1)." & "<br>")
			End If
		Else

			' Display error message
                        ReportError("Folder.asp: Could not set session (2)." & "<br>")
		End If
	End If

	' Set container renderer
	Set objRenderer = GetFolderRenderer(Nothing)

	' Check if container renderer is not set
	If objRenderer Is Nothing Then

		' Display error message
                Response.Write("Folder.asp: Cannot get folder information." & "<br>")

		' Exit application
		Response.End
	End If
%>

<script language = "Javascript">

function message(DisplayText)
{
	window.status = DisplayText;
	setTimeout("remove_message()",2500);
}
function remove_message()
{
	window.status="";
}

</script>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 3.2//EN">
<html>
<head>
<title><%= APP_TITLE %></title>
</head>
<body link="#000000" vlink="#000000">
<p>&nbsp;</p>
<div align="center"><center>
<table border="0" cellpadding="0" cellspacing="0" width="592">
	<tr>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>">&nbsp;</td>
		<td width="490" bgcolor="<%= APP_FRAMEBORDER_COLOR %>">
		<font face="Arial, Helvetica, sans-serif"><b><i><%= APP_TITLE %></i></b></font></td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>">&nbsp;</td>
		<td width="10"></td>
	</tr>
	<tr>
		<td width="10"></td>
		<td width="10" bgcolor="<%= APP_BACKROUND_COLOR %>">&nbsp;</td>
		<td width="490" bgcolor="<%= APP_BACKROUND_COLOR %>">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>">&nbsp;</td>
	</tr>
	<tr>
		<td width="10"></td>
		<td width="10" bgcolor="<%= APP_BACKROUND_COLOR %>">&nbsp;</td>
		<td width="490" bgcolor="<%= APP_BACKROUND_COLOR %>">
		<font face="Arial, Helvetica, sans-serif" size="1">
		<% objRenderer.Render 1, 1, 0, Response %></font></td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>">&nbsp;</td>
	</tr>
	<tr>
		<td width="10"></td>
		<td width="10" bgcolor="<%= APP_BACKROUND_COLOR %>">&nbsp;</td>
		<td width="490" bgcolor="<%= APP_BACKROUND_COLOR %>">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>">&nbsp;</td>
	</tr>
	<tr>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>">&nbsp;</td>
		<td width="490" bgcolor="<%= APP_FRAMEBORDER_COLOR %>">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_COLOR %>">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>">&nbsp;</td>
	</tr>
	<tr>
		<td width="10"></td>
		<td width="10"></td>
		<td width="490" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>">&nbsp;</td>
		<td width="10" bgcolor="<%= APP_FRAMEBORDER_SHADOW %>">&nbsp;</td>
	</tr>
</table>
</center></div>
</body>
</html>
